<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SSR_Pref StructType
 * @package Dg
 * @subpackage Structs
 */
class DgSSR_Pref extends AbstractStructBase
{
    /**
     * The SSR_Code
     * @var string
     */
    public $SSR_Code;
    /**
     * Constructor method for SSR_Pref
     * @uses DgSSR_Pref::setSSR_Code()
     * @param string $sSR_Code
     */
    public function __construct($sSR_Code = null)
    {
        $this
            ->setSSR_Code($sSR_Code);
    }
    /**
     * Get SSR_Code value
     * @return string|null
     */
    public function getSSR_Code()
    {
        return $this->SSR_Code;
    }
    /**
     * Set SSR_Code value
     * @param string $sSR_Code
     * @return \dgsoft\StructType\DgSSR_Pref
     */
    public function setSSR_Code($sSR_Code = null)
    {
        // validation for constraint: string
        if (!is_null($sSR_Code) && !is_string($sSR_Code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sSR_Code)), __LINE__);
        }
        $this->SSR_Code = $sSR_Code;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgSSR_Pref
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
